io.agora.rtc

## Enum Constants.TransferID

- java.lang.Object
- - java.lang.Enum<Constants.TransferID>
  - - io.agora.rtc.Constants.TransferID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.TransferID>
  Enclosing class:
    Constants

      public static enum Constants.TransferID
      extends java.lang.Enum<Constants.TransferID>

  Transfer characteristics ID.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TRANSFERID_ARIB_STD_B67` ARIB STD-B67
    `TRANSFERID_BT1361_ECG` BT.1361 Extended Color Gamut
    `TRANSFERID_BT2020_10` BT.2020 10-bit
    `TRANSFERID_BT2020_12` BT.2020 12-bit
    `TRANSFERID_BT709` BT.709
    `TRANSFERID_GAMMA22` Gamma 2.2
    `TRANSFERID_GAMMA28` Gamma 2.8
    `TRANSFERID_IEC61966_2_1` IEC 61966-2-1
    `TRANSFERID_IEC61966_2_4` IEC 61966-2-4
    `TRANSFERID_LINEAR` Linear
    `TRANSFERID_LOG` Logarithmic
    `TRANSFERID_LOG_SQRT` Logarithmic square root
    `TRANSFERID_SMPTE170M` SMPTE 170M
    `TRANSFERID_SMPTE240M` SMPTE 240M
    `TRANSFERID_SMPTEST2084` SMPTE ST 2084
    `TRANSFERID_SMPTEST428` SMPTE ST 428
    `TRANSFERID_UNSPECIFIED` Unspecified

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value` Integer value of the transfer characteristics ID

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.TransferID id)` Gets the integer value of the transfer characteristics ID.
    `static Constants.TransferID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.TransferID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSFERID_BT709

          public static final Constants.TransferID TRANSFERID_BT709

      BT.709

    - #### TRANSFERID_UNSPECIFIED

          public static final Constants.TransferID TRANSFERID_UNSPECIFIED

      Unspecified

    - #### TRANSFERID_GAMMA22

          public static final Constants.TransferID TRANSFERID_GAMMA22

      Gamma 2.2

    - #### TRANSFERID_GAMMA28

          public static final Constants.TransferID TRANSFERID_GAMMA28

      Gamma 2.8

    - #### TRANSFERID_SMPTE170M

          public static final Constants.TransferID TRANSFERID_SMPTE170M

      SMPTE 170M

    - #### TRANSFERID_SMPTE240M

          public static final Constants.TransferID TRANSFERID_SMPTE240M

      SMPTE 240M

    - #### TRANSFERID_LINEAR

          public static final Constants.TransferID TRANSFERID_LINEAR

      Linear

    - #### TRANSFERID_LOG

          public static final Constants.TransferID TRANSFERID_LOG

      Logarithmic

    - #### TRANSFERID_LOG_SQRT

          public static final Constants.TransferID TRANSFERID_LOG_SQRT

      Logarithmic square root

    - #### TRANSFERID_IEC61966_2_4

          public static final Constants.TransferID TRANSFERID_IEC61966_2_4

      IEC 61966-2-4

    - #### TRANSFERID_BT1361_ECG

          public static final Constants.TransferID TRANSFERID_BT1361_ECG

      BT.1361 Extended Color Gamut

    - #### TRANSFERID_IEC61966_2_1

          public static final Constants.TransferID TRANSFERID_IEC61966_2_1

      IEC 61966-2-1

    - #### TRANSFERID_BT2020_10

          public static final Constants.TransferID TRANSFERID_BT2020_10

      BT.2020 10-bit

    - #### TRANSFERID_BT2020_12

          public static final Constants.TransferID TRANSFERID_BT2020_12

      BT.2020 12-bit

    - #### TRANSFERID_SMPTEST2084

          public static final Constants.TransferID TRANSFERID_SMPTEST2084

      SMPTE ST 2084

    - #### TRANSFERID_SMPTEST428

          public static final Constants.TransferID TRANSFERID_SMPTEST428

      SMPTE ST 428

    - #### TRANSFERID_ARIB_STD_B67

          public static final Constants.TransferID TRANSFERID_ARIB_STD_B67

      ARIB STD-B67

  - ### Field Detail

    - #### value

          public final int value

      Integer value of the transfer characteristics ID

  - ### Method Detail

    - #### values

          public static Constants.TransferID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.TransferID c : Constants.TransferID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.TransferID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.TransferID id)

      Gets the integer value of the transfer characteristics ID.
      Parameters:
        `id` - Transfer characteristics ID
      Returns:
        The integer value